package dont.panic.renewed.activity;

import java.util.ArrayList;

import dont.panic.renewed.R;
import dont.panic.renewed.models.Player;
import dont.panic.renewed.utils.RolesNamesAndBenefis;
import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.Spinner;
/**
 * Activity which are in charge of presenting and accepting log-in information from the user
 */
public class LoginAndSetupActivity extends Activity {
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_login);  //load the GUI-design from the XML file
		
		SharedPreferences settings = getSharedPreferences("Prefs", 0); //load the sharedpreference which contain the stored log-in information
		Spinner rolesview = (Spinner) findViewById(R.id.login_role_listview);
		rolesview.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, RolesNamesAndBenefis.roleList));
		Button btn = (Button) findViewById(R.id.login_connect_button);
		
		if(settings.contains("nickname")){
			EditText nickname = (EditText) findViewById(R.id.login_nickname);
			nickname.setText(settings.getString("nickname", ""));
			rolesview.setSelection(settings.getInt("roleInt", 0));
		}		
		btn.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				onConnect();
				
			}
		});
		
	}
	
	/**
	 * The function which are called when the player press the "connct button". 
	 * The function will save the new information entered to the sharedpreference and send the 
	 * player to the game activity.
	 */
	public void onConnect(){
		EditText nickname = (EditText) findViewById(R.id.login_nickname);
		Player.getInstance().setNickname(nickname.getText().toString());
		Spinner rolesview = (Spinner) findViewById(R.id.login_role_listview);
		Player.getInstance().setRole(rolesview.getSelectedItem().toString());
		Intent intent = new Intent(this, MainActivity.class);
		intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_CLEAR_TASK); 
		
		
		SharedPreferences settings = getSharedPreferences("Prefs", 0);
		SharedPreferences.Editor editor = settings.edit();
		editor.putString("nickname", Player.getInstance().getNickname());
		editor.putInt("roleInt", rolesview.getSelectedItemPosition());   
		editor.commit();
		
		startActivity(intent);
	
	}


}
