package dont.panic.renewed.adapters;

import java.util.ArrayList;




import dont.panic.renewed.fragments.CustomMapFragment;
import dont.panic.renewed.fragments.ReviewFragment;
import dont.panic.renewed.fragments.ZoneFragment;
import android.database.DataSetObserver;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

/**
 * The fragment adapter used for holding the map fragment, zone gui fragment and the review fragment.
 */
public class MapAndActionFragmentAdapter extends FragmentPagerAdapter {
	private String[] nameArray = {"Map", "Zone", "Review"};
	private ArrayList<Fragment> fragmentList = new ArrayList<Fragment>();
	

	public MapAndActionFragmentAdapter(FragmentManager fm) {
		super(fm);
		setUpFragments();
		// TODO Auto-generated constructor stub
	}
	

	/**
	 * Create a map fragment and a zone fragment and add them
	 */
	private void setUpFragments(){

		
		Fragment map = new CustomMapFragment();
		fragmentList.add(map);
		Fragment zone = new ZoneFragment();
		fragmentList.add(zone);		
		
		
	}
	/**
	 * Once the game is done, the adapter will add a review fragment
	 */
	public void addReviewFragment(){
		Fragment review = new ReviewFragment();
		fragmentList.add(review);
		notifyDataSetChanged();
		
		
	}

/**
 * (non-Javadoc)
 * @see android.support.v4.app.FragmentPagerAdapter#getItem(int)
 */
    @Override
    public Fragment getItem(int position) {
    	return fragmentList.get(position);
    }

    /**
     * (non-Javadoc)
     * @see android.support.v4.view.PagerAdapter#getCount()
     */
	@Override
	public int getCount() {
		// TODO Auto-generated method stub
		return fragmentList.size();
	}
	/**
	 * (non-Javadoc)
	 * @see android.support.v4.view.PagerAdapter#getPageTitle(int)
	 */
    @Override
    public CharSequence getPageTitle(int position) {
    	return nameArray[position];
    }
    

}
