package dont.panic.renewed.interfaces;

/**
 * This interface is network oriented. Object that wish to be notified when various network events occure can implement this interface
 *
 */
public interface NetworkMessageInterface {

	/**
	 * This function is called when the application is called when the application get a message from the server
	 * @param message The message fromt he server
	 */
	public void onMessageRecieved(String message);
	
	
	/**
	 * This message is called when the network client loses the connection with the server
	 * @param message The error message
	 */
	public void onNetworkConnectionLost(String message);
	
	/**
	 * This message is called when the socket fails to connect to the server.
	 * @param message The error message generated when the socket fails to connect to the server. 
	 */
	public void onNetworkConectionFail(String message);
}
