package dont.panic.renewed.models;

/**
 * The object representing the map marker of the other players
 *
 */
public class PlayerMarker {

	/**
	 * The nickname of the team mate which is to be displayed
	 */
	private String nickname;
	
	/**
	 * The latitude of the team mate
	 */
	private Double latitude ;
	
	/**
	 * The longitude of the team mate
	 */
	private Double longitude;
	
	/**
	 * The constructor of the object, it will set the location of the team mate to 0,0 which will be updated at once the team mate
	 * send the true location. 
	 * @param nick The nickname the team mate has
	 */
	
	public PlayerMarker(String nick){
		this.nickname = nick;
		this.latitude = (double) 0;
		this.longitude =(double) 0;
	}
	
	/**
	 * A simple getter that returns the nickname
	 * @return the nickname of the team mate
	 */
	public String getNickname() {
		return nickname;
	}
	
	/**
	 * A simple setter which set the nickname of the player.
	 * @param nickname
	 */
	public void setNickname(String nickname) {
		this.nickname = nickname;
	}
	
	/**
	 * A simple getter that returns the latitude
	 * @return the latitude of the team mate
	 */
	public Double getLatitude() {
		return latitude;
	}
	/**
	 * A simple setter which set the latitude of the team mate, this is called when the team mate has moved and has sent a
	 * message to the server with his new coordinates.
	 * @param latitude the new latitude
	 */
	public void setLatitude(Double latitude) {
		this.latitude = latitude;
	}
	
	/**
	 * A simple getter that returns the longitude
	 * @return the longitude of the team mate
	 */
	public Double getLongitude() {
		return longitude;
	}
	
	/**
	 * A simple setter which set the longitude of the team mate, this is called when the team mate has moved and has sent a
	 * message to the server with his new coordinates.
	 * @param longitude the new longitude
	 */
	public void setLongitude(Double longitude) {
		this.longitude = longitude;
	}
}
