package dont.panic.renewed.models.blockade;


/**
 * class that represent an object that blocks the player from reaching the NPCs in a zone.
 *
 */
public class Blockade {
	/**
	 * name of the blockage, his should be recieved from the server
	 */
	private String name;

	/**
	 * The description of the blockade
	 */
	private String description;

	/**
	 * A boolean telling if the blockade is locked or not
	 */
	private boolean locked;
	
	
	/**
	 * The constructor for the object, set the name and description of the object.
	 * @param name the name of the blockade which the object should have
	 * @param description the description of the blockade
	 */
	public Blockade (String name, String description){
		this.name = name;
		this.locked = true;
		this.description = description;
		
	}
	

	/**
	 * Unlock the blockade, this is called when a player has performed an action to remove the blockade
	 */
	public void unlock(){
		locked = false;
	}
	/**
	 * A simgle getter that return the description of the blockade.
	 * @return the description of the blockade.
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * A simple getter that returns if the blockade is locked or not
	 * @return if locked or not
	 */
	public boolean isLocked() {
		return locked;
	}
	
	/**
	 * A simple getter that returns the name of the blockade
	 * @return the name of the blockade
	 */
	public String getName() {
		return name;
	}
	
}
