package dont.panic.renewed.models.equipment;

import dont.panic.renewed.utils.EquipmentType;

/**
 * The equipment object, this class serves as a "motherclass" which will be extended by other objects. 
 *
 */
public class Equipment {

	/**
	 * The name of the equipment
	 */
	protected String name;
	
	/**
	 * The time required to use it
	 */
	protected int timeRequired;
	
	/**
	 * The type of the equipment (for blockade or civilian)
	 */
	protected EquipmentType equipmentType;
	
	
	/**
	 * A constructor that just initialise the variables to some temp values.
	 */
	public Equipment (){
		name = "dummy item";
		timeRequired = 10;
	}


	/**
	 * A simple getter that returns the name of the equipment
	 */

	public String getName() {
		return name;
	}


	/**
	 * A simple getter that returns the time requied to use the item
	 * @return the time required to use the item
	 */
	public int getTimeRequired() {
		return timeRequired;
	}


	/**
	 * A simple getter that returns the type of the equipment
	 * @return the type of the equipment
	 */
	public EquipmentType getEquipmentType() {
		return equipmentType;
	}
	
	/**
	 * A simple getter that returns the display text of the equipment.
	 * This is overloaded by object that extend this object
	 * @return the text that is displayed to the players
	 */
	public String getDisplayText(int penalty){
		return name;
	}
	
}
