package dont.panic.renewed.models.equipment.carryable.civiliantype;

import dont.panic.renewed.models.equipment.Equipment;
import dont.panic.renewed.utils.EquipmentForCiviliansEffect;
import dont.panic.renewed.utils.EquipmentTimeSetting;
import dont.panic.renewed.utils.EquipmentType;

/**
 * The motherclass for equipment directed to civilians
 *
 */
public class EquipmentForCivilians extends Equipment {
	
	/**
	 * The type of effect the equipment has (healing or calming)
	 */
	protected EquipmentForCiviliansEffect effect;
	/**
	 * The amount of the effect
	 */
	protected int amount;
	
	
	public EquipmentForCivilians() {
		this.equipmentType = EquipmentType.CIVILIAN;
		this.timeRequired = EquipmentTimeSetting.TIME_REQUIRED_ON_PLAYER_EQUIPMENT;
	}

	/**
	 * Sets the display text of the item, describing how much the effect is as well as the time required to use it
	 */
	@Override
	public String getDisplayText(int penalty) {
		if(effect.equals(EquipmentForCiviliansEffect.HEAL_ALL)){
		return name +"\n"+"Heal all civilian by" +"("+amount+")" + " " +(timeRequired+penalty)+"(s)"; 
		}
		else
			return name +"\n"+"Reduce panic on all civilian by" +"("+amount+")" + " " +(timeRequired+penalty)+"(s)"; 
	}


	/**
	 * A simple getter that returns the amount of the effect
	 * @return the amount of effect, e.g 10 healing
	 */
	public int getAmount() {
		return amount;
	}


	/**
	 * The effect type of the equipmen, e.g Healing
	 * @return the effect type of the equipment.
	 */
	public EquipmentForCiviliansEffect getEffect() {
		return effect;
	}
}
