package dont.panic.renewed.utils;

import java.util.ArrayList;

import dont.panic.renewed.models.equipment.Equipment;
import dont.panic.renewed.models.equipment.carryable.blockadetype.Crowbar;
import dont.panic.renewed.models.equipment.carryable.blockadetype.FireExtinguisher;
import dont.panic.renewed.models.equipment.carryable.blockadetype.Handcuffs;
import dont.panic.renewed.models.equipment.carryable.civiliantype.Medkit;
import dont.panic.renewed.models.equipment.carryable.civiliantype.Megaphone;
import dont.panic.renewed.models.equipment.noncarryable.FireHose;


/**
 * This class returns which item can be used to remove a blockade.
 * 
 */
public class EquipAndBlockNames {

	//name of blockades
	public final static String FIRE = "fire";
	public final static String CRIMINAL = "criminal";
	public final static String Jammed = "jammed";
	
	
	//name of player equipments
	public final static String FIRE_EXTINGUISHER = "fire extinguisher";
	public final static String HANDCUFF = "handcuff";
	public final static String CROWBAR = "crowbar";
	public final static String MEDICAL_KIT = "medical kit";
	public final static String MEGAPHONE = "megaphone";
	
	//name of section/zone "bad" items
	public final static String FIRE_HOSE = "fire hose";

	
	
	
	
	/**
	 * 
	 * @return A list of all equipment that can be picked up
	 */
	public static ArrayList<String> getAllEquipmentNames(){
		ArrayList<String> equpList = new ArrayList<String>();
		
		equpList.add(FIRE_EXTINGUISHER);
//		equpList.add(HANDCUFF);
		equpList.add(CROWBAR);
		equpList.add(MEDICAL_KIT);
		equpList.add(MEGAPHONE);
//		equpList.add(FIRE_HOSE);
		
		return equpList;
	}
	
	/**
	 * A function that create an equipment object based on the name of the parameter. This is done when the server sends a list of equipment name
	 * @param name the name of the equipment
	 * @return the equipment object matching the name
	 */
	public static Equipment getEquipmentByName(String name){
		if(name.equalsIgnoreCase(FIRE_EXTINGUISHER)){
			return new FireExtinguisher();
		}
		if(name.equalsIgnoreCase(HANDCUFF)){
			return new Handcuffs();
		}
		if(name.equalsIgnoreCase(CROWBAR)){
			return new Crowbar();
		}
		if(name.equalsIgnoreCase(MEDICAL_KIT)){
			return new Medkit();
		}
		if(name.equalsIgnoreCase(MEGAPHONE)){
			return new Megaphone();
		}
		if(name.equalsIgnoreCase(FIRE_HOSE)){
			return new FireHose();
		}
		
		return null;
	}
	
	/**
	 * A function that check if the equipment can be used on a specific blockade
	 * @param blockade the name of the blockade
	 * @param eqName the name of the equipment
	 * @return true if the equipment can be used on the blockade, else false
	 */
	
	public static boolean getIfEquipmentIsUsableOnBlockade(String blockade, String eqName){
		if(blockade.equalsIgnoreCase(FIRE)){
			if(eqName.equalsIgnoreCase(FIRE_EXTINGUISHER))
				return true;
			if(eqName.equalsIgnoreCase(FIRE_HOSE))
				return true;
		}
		if(blockade.equalsIgnoreCase(Jammed)){
			if(eqName.equalsIgnoreCase(CROWBAR))
				return true;
		}
		
		
		
		return false;
	}
	
	
	

}
