package models;

import java.util.ArrayList;

import com.google.gson.annotations.Expose;

/**
 * The class that servers as a model for the review layout
 *
 */
public class ReflectionData {

	/**
	 * Zone history list model 
	 */
	@Expose private ArrayList<String> zoneVisitedWithTimeStamp;
	
	/**
	 * The list of reflection answers given
	 */
	@Expose private ArrayList<String> reflectionAnswersGiven;
	
	/**
	 * The list with emotion anser given
	 */
	@Expose private ArrayList<String> emotionAnswers;
	
	
	public ReflectionData() {
		zoneVisitedWithTimeStamp = new ArrayList<>();
		reflectionAnswersGiven = new ArrayList<>();
		emotionAnswers = new ArrayList<>();
	}


	/**
	 * A function which return the zone history list
	 * @return the list with zone history
	 */
	public ArrayList<String> getZoneVisitedWithTimeStamp() {
		return zoneVisitedWithTimeStamp;
	}

	/**
	 * a function which returns the reflection answers submitted by the player
	 * @return the list with the reflection answers given
	 */
	public ArrayList<String> getReflectionAnswersGiven() {
		return reflectionAnswersGiven;
	}

	/**
	 * a function which return the emotion data submitted by the player
	 * @return the list with the emotion answers
	 */
	public ArrayList<String> getEmotionAnswers() {
		return emotionAnswers;
	}
	
	/**
	 * Add a new zone with timestamp to the zone history list
	 * @param data
	 */
	public void addZoneWithTimeStampToList(String data){
		zoneVisitedWithTimeStamp.add(data);
	}
	
	/**
	 * The function which will take the formated network message which contain all the reflection answers and converted
	 * back to normal answers
	 * @param formated The formated network string which contain all the reflection answers
	 */
	public void addReflectionAnswersGiven(String formated){
		String[] answers = formated.split("~");
		for(String s : answers){
			reflectionAnswersGiven.add(s);
		}
		
	}
	/**
	 * the function will add a new emotion answer to the lsit
	 * @param answer the emotion data submitted by the player
	 */
	public void addEmotionAnswerGiven(String answer){
		emotionAnswers.add(answer);
	}
	
	
	
}
