package observers;

import interfaces.CivilianListenerInterface;

import java.util.ArrayList;

import javax.swing.AbstractListModel;
import javax.swing.DefaultListModel;

import models.Civilian;
import models.Zone;

public class ZoneStats extends AbstractListModel<String> implements CivilianListenerInterface{

	private ArrayList<String> civilianState;
	private Zone currentZone;
	
	public ZoneStats(){
		civilianState = new ArrayList<String>();
	}

	@Override
	public void onCiviliansInZoneChanged() {
		civilianState.clear();
		for (Civilian civ : currentZone.getCivilianList()) {
			civilianState.add(civ.getStats());
		}
		fireContentsChanged(this, 0, civilianState.size());
		
	}
	
	
	public void onLeaveZone(){
		currentZone.removeObserver(this);
		civilianState.clear();		
	}
	
	public void onEnterZone(Zone zone){
		currentZone = zone;
		currentZone.addObserver(this);
		for(Civilian civ : zone.getCivilianList()){
			civilianState.add(civ.getStats());
		}
		fireContentsChanged(this, 0, civilianState.size());
		
	}
	
	public ArrayList<String> getCivilianStateList(){
		return civilianState;
	}


	@Override
	public String getElementAt(int index) {
		return civilianState.get(index);
	}


	@Override
	public int getSize() {
		// TODO Auto-generated method stub
		return civilianState.size();
	}
	
	public Zone getCurrentZone(){
		return currentZone;
	}
}
